Package org.springframework.security.config.web.server

# Class ServerHttpSecurity.HeaderSpec.CrossOriginEmbedderPolicySpec

java.lang.Object
org.springframework.security.config.web.server.ServerHttpSecurity.HeaderSpec.CrossOriginEmbedderPolicySpec

Enclosing class:
  ServerHttpSecurity.HeaderSpec

public final class ServerHttpSecurity.HeaderSpec.CrossOriginEmbedderPolicySpec extends Object
Configures the Cross-Origin-Embedder-Policy header

Since:
  5.7

## Method Summary

Modifier and Type
Method
Description
`ServerHttpSecurity.HeaderSpec`
`and()`
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0.
`ServerHttpSecurity.HeaderSpec.CrossOriginEmbedderPolicySpec`
`policy(org.springframework.security.web.server.header.CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy embedderPolicy)`
Sets the value to be used in the `Cross-Origin-Embedder-Policy` header

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### policy

public ServerHttpSecurity.HeaderSpec.CrossOriginEmbedderPolicySpec policy(org.springframework.security.web.server.header.CrossOriginEmbedderPolicyServerHttpHeadersWriter.CrossOriginEmbedderPolicy embedderPolicy)
Sets the value to be used in the `Cross-Origin-Embedder-Policy` header

Parameters:
  `embedderPolicy` - a opener policy
Returns:
  the `ServerHttpSecurity.HeaderSpec.CrossOriginEmbedderPolicySpec` to continue configuring

### and

@Deprecated(since="6.1", forRemoval=true) public ServerHttpSecurity.HeaderSpec and()
Deprecated, for removal: This API element is subject to removal in a future version.
For removal in 7.0. Use `ServerHttpSecurity.HeaderSpec.crossOriginEmbedderPolicy(Customizer)` instead
Allows method chaining to continue configuring the `ServerHttpSecurity`.

Returns:
  the `ServerHttpSecurity.HeaderSpec` to continue configuring